import argparse
import asyncio
import logging

import pnpdevice.discovery
import pnpdevice.server

LOGGER = logging.getLogger(__name__)

def main():
	parser = argparse.ArgumentParser()
	parser.add_argument("-v", "--verbose", action="store_true", help="Enable verbose logging")
	args = parser.parse_args()

	logging.basicConfig(level=logging.DEBUG if args.verbose else logging.INFO)

	pnpdevice.server.run()
