from aiohttp import web

import pnpdevice.discovery

async def hello(request):
	return web.Response(text="Hello, world")

def run():
	"Run the embedded web server"
	app = web.Application()
	app.on_startup.append(pnpdevice.discovery.handle)
	app.add_routes([web.get("/", hello)])
	web.run_app(app)

